#include <Xm/Xm.h>
#include <stdio.h>
#include "global.h"

void set_color(Widget widget, String color, GC gc) {
  Display *dpy=XtDisplay(widget);
  Colormap cmap=DefaultColormapOfScreen(XtScreen(widget));
  XColor col, unused;

  if (!XAllocNamedColor(dpy, cmap, color, &col, &unused)) {
    char buf[32];
    sprintf(buf, "Can't alloc %s", color);
    XtWarning(buf);
    return;
  }
  XSetForeground(dpy, gc, col.pixel);
}
